#ifndef MARS_MDumpEvtHeader
#define MARS_MDumpEvtHeader

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MRawEvtHeader;
class MRawEvtData;
class MParList;

class MDumpEvtHeader : public MTask
{
private:
    MRawEvtHeader *fRawEvtHeader;
    MRawEvtData   *fRawEvtData;

public:
  MDumpEvtHeader () : fRawEvtHeader(NULL) { };

  Bool_t PreProcess(MParList *pList);
  Bool_t Process();
  
  ClassDef(MDumpEvtHeader, 0)	// Class to dump the pixel ids of a raw evt to the screen

};
    
#endif
